Summary: A set of Bangla fonts under GPL
Name: fonts-ttf-bengali
# version number is defined at http://www.bengalinux.org/downloads/
Version: 0.5
Release: 2mdk
License: GPL
Group: System/Fonts/True type
Source0: http://savannah.nongnu.org/download/freebangfont/Akaash-0.8.5.tar.bz2
Source1: http://savannah.nongnu.org/download/freebangfont/Ani.tar.bz2
Source2: http://savannah.nongnu.org/download/freebangfont/Likhan-0.5.tar.bz2
Source3: http://savannah.nongnu.org/download/freebangfont/MuktiNarrow-0.94.tar.bz2
URL: http://www.bengalinux.org/
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
Prereq:		%_sbindir/chkfontpath

Provides: fonts-tt-Akaash
Provides: fonts-tt-Ani
Provides: fonts-tt-Likhan
Provides: fonts-tt-MuktiNarrow

%description
This package contains a set of Bangla (Bengali) OpenType fonts based on
Unicode encoding scheme. The fonts are provided by Free Bangla Font project,
a sub project of Ankur group (http://www.bengalinux.org).

Install freebanglafont if you'd like to use Bangla or want to see Bangla
interface for GNOME, KDE, etc.

%description -l bn
এই প্যাকেজটিতে ইউনিকোডের উপর ভিত্তি করা বাংলা ওপেন টাইপ ফন্ট আছে.
ফন্টগুলো দিয়েছে অঙ্কুর গ্রুপের (http://www.bengalinux.org) মুক্ত বাংলা ফন্ট প্রকল্প 

আপনি যদি বাংলা ব্যাবহার করতে চান অথবা GNOME, KDE, ইত্যাদির বাংলা
ইন্টারফেস দেখতে চান তাহলে freebanglafont ইনস্টল করুন.

%prep
#%setup -n freebanglafont-%version
%setup -c -a 0 -a 1 -a 2 -a 3

%build

%install
rm -rf %buildroot
install -d %buildroot/%_datadir/fonts/ttf/bengali

for i in `find . -name "*.ttf"` ; do
install -m 644 $i %buildroot/%_datadir/fonts/ttf/bengali
done
for i in `find . -name "*.TTF"` ; do
  install -m 644 $i \
	 %buildroot/%_datadir/fonts/ttf/bengali/`basename $i .TTF`.ttf
done

(cd %buildroot/%_datadir/fonts/ttf/bengali
 fc-cache . || touch fonts.cache-1
)

mkdir -p %buildroot/%_docdir/%{name}-%{version}/Akaash/
install -m 644 Akaash/{BUGS,README,MAILINGLISTS,VERSION,CHANGELOG,CREDITS} \
	%buildroot/%_docdir/%{name}-%{version}/Akaash/
mkdir -p %buildroot/%_docdir/%{name}-%{version}/Ani/
install -m 644 Ani/{AUTHORS,BUGS,MAILINGLISTS,README,VERSION} \
	%buildroot/%_docdir/%{name}-%{version}/Ani/
mkdir -p %buildroot/%_docdir/%{name}-%{version}/Likhan/
install -m 644 Likhan-0.5/README \
	%buildroot/%_docdir/%{name}-%{version}/Likhan/
mkdir -p %buildroot/%_docdir/%{name}-%{version}/MuktiNarrow/
install -m 644 MuktiNarrow0.94/readme.txt \
	%buildroot/%_docdir/%{name}-%{version}/MuktiNarrow/
install -m 644 Ani/COPYING %buildroot/%_docdir/%{name}-%{version}/

%post
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc %_docdir/%{name}-%{version}/*
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/bengali
%_datadir/fonts/ttf/bengali/*.ttf
%_datadir/fonts/ttf/bengali/fonts.cache-1

%changelog
* Tue Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.5-2mdk
- corrected License: tag

* Tue Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.5-1mdk
- updated to Akaash 0.8.5, Ani 0.7.0, Likhan 0.5, MuktiNarrow 0.94

* Thu May 13 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-2mdk
- formated description

* Fri May 02 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-1mdk
- adapted for mdk

* Mon Apr 21 2003 Taneem Ahmed <taneem@eyetap.org>
- Updated post-[un]install script

* Tue Dec 10 2002 Taneem Ahmed <taneem@eyetap.org>
- Added Xft configuration file and cache update support 
- Added libgnomeprint database update, if it is installed 
- Updated new version of Akaash

* Sun Dec 08 2002 Taneem Ahmed <taneem@eyetap.org>
- Added new font Mukti
- Updated new version of Ani

* Thu Nov 14 2002 Taneem Ahmed <taneem@eyetap.org>
- Initial rpm package for freebanglafont
